from setuptools import setup, find_packages

setup(
    name='aimsuper',  # 包的名称
    version='0.1.0',  # 版本号
    author='Stephen_djj',  # 作者
    author_email='a50091282@gmail.com',  # 作者邮箱
    description='A simple model registration and creation utility package.',  # 包的描述
    long_description=open('README.md').read(),  # 从 README.md 中读取长描述
    long_description_content_type='text/markdown',  # 指定 long_description 的格式
    url='https://github.com/wuli666',  # 项目 URL
    packages=find_packages(),  # 自动找到项目中的所有包
    install_requires=[  # 项目的依赖
        'torch',
    
    ],
    classifiers=[  # 用于 PyPI 上的分类标签
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'License :: OSI Approved :: MIT License',
    ],
    python_requires='>=3.7',  # Python 版本要求
)
